<?php
class Shopware_Plugins_Backend_Bauerwidgets_Bootstrap extends Shopware_Components_Plugin_Bootstrap
{
	public function install()
	{
		$event = $this->createEvent(
		'Enlight_Controller_Action_PostDispatch_Backend_Widgets',
		'onPostDispatchBackendWidgets'
		);
		$this->subscribeEvent($event);

		$event = $this->createEvent(
 		'Enlight_Controller_Dispatcher_ControllerPath_Backend_Bauerwidgets',
 		'onGetControllerPathBackend'
 		);
 		$this->subscribeEvent($event);

 		return true;
	}

	/**
	 * just points to the path of this controller
	 *
	 * @static
	 * @param Enlight_Event_EventArgs $args
	 * @return string
	 */
	public static function onGetControllerPathBackend(Enlight_Event_EventArgs $args)
	{
		return dirname(__FILE__) . '/Controllers/Backend/Bauerwidgets.php';
	}
	
/**
	 * Listener of event: Enlight_Controller_Action_PostDispatch_Backend_Widgets
	 * @return array
	 */
	public function onPostDispatchBackendWidgets(Enlight_Event_EventArgs $args)
	{
		$args->getSubject()->View()->addTemplateDir(
				$this->Path() . 'Views/'
		);

//		if ($args->getRequest()->getActionName() === 'load') {
			$args->getSubject()->View()->extendsTemplate(
				'backend/bauerwidgets/store/turnover.js'
			);
			$args->getSubject()->View()->extendsTemplate(
				'backend/bauerwidgets/store/widget.js'
			);
			$args->getSubject()->View()->extendsTemplate(
				'backend/bauerwidgets/controller/widgets.js'
			);
			
			$args->getSubject()->View()->extendsTemplate(
				'backend/bauerwidgets/view/widgets/orders.js'
			);
//		}
	}

	/**
	 * Get version of this plugin to display in manager
	 * @return array
	 */
	public function getVersion()
	{
		return '1.0.0';
	}

	/**
	 * Get label of this plugin to display in manager
	 * @return array
	 */
	public function getLabel()
	{
		return 'Bauerwidgets';
	}

	/**
	 * Get information of this plugin to display in manager
	 * @return array
	 */
	public function getInfo() {
		return array(
			'version' => $this->getVersion(),
			'label' => $this->getLabel(),
	        'author' => 'Mathias Bauer',
	        'description' => 'Widget Test',
	        'support' => 'keiner',
	        'link' => ''
	        );
	}

}
?>
